Subject: Re: bug#66288: 29.1; Performance regression using pipe for subprocess

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Oct 2023 20:57:29 +0300

> Date: Tue, 3 Oct 2023 20:42:20 +0300
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 03/10/2023 09:22, Eli Zaretskii wrote:
> > I think at this point, since none of the initial guesses seems to be
> > correct, running your recipe under perf and looking at the differences
> > would be our best bet?  That, and bisecting the Git repository.
> 
> I would start with our native profiler (M-x profiler-start ... M-x 
> profiler-report). It's a bit easier to use and interpret.

Already done, see my other message.

> But if doesn't show anything conclusive, then perf is indeed the next step.

The problem seems to be in redisplay, so perf and bisecting are the
most relevant tools.

I will meanwhile try to trace the code and find what has changed.
(The usual suspect -- long-line optimizations -- seems to be off the
hook, according to my testing.)